toolzerhub API Docs

Search jobs

Browse a page of ZipRecruiter jobs for an optional location. Use a result's company_url to obtain the company value for the company-jobs endpoint.

1 credit / requestBilled only on success
GET
/v1/ziprecruiter/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

location?string

US city, optionally with a state code. This selects the local job feed and may resolve to a nearby city in the same metro area. Omit for an unpinned feed.

Lengthlength <= 100
Default""
page?integer

One-based results page.

Range1 <= value <= 1000
Default1
curl -X GET "https://example.com/v1/ziprecruiter/search" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "location": "string",    "page": 0,    "url": "string",    "total_listings": 0,    "count": 0,    "results": [      {        "job_id": "sa0o0DJBHcxh_je9EJAcYQ",        "title": "LPN - Private Duty Nursing - Peds Vent",        "short_description": "string",        "is_active": true,        "posted_at": "2026-08-26T06:18:02Z",        "posted_label": "8 days ago",        "updated_at": "string",        "pay": {          "interval": "PAY_INTERVAL_HOUR",          "currency": "PAY_CURRENCY_USD",          "min": 0,          "max": 0,          "min_annual": 0,          "max_annual": 0        },        "pay_label": "$$30/hr",        "benefits": [          "BENEFIT_TYPE_NAME_MEDICAL",          "BENEFIT_TYPE_NAME_DENTAL"        ],        "employment_types": [          "EMPLOYMENT_TYPE_NAME_FULL_TIME"        ],        "location_types": [          "LOCATION_TYPE_NAME_IN_PERSON"        ],        "company": {          "id": "string",          "name": "Maxim Healthcare Services"        },        "company_url": "/co/Maxim-Healthcare-Services/Jobs",        "company_logo_url": "string",        "location": {          "city": "Miami",          "state": "Florida",          "state_code": "FL",          "county": "Miami-Dade",          "postal_code": "33176",          "country": "United States",          "display_name": "Miami, FL US 33176"        },        "apply_url": "string",        "canonical_url": "string"      }    ],    "has_more": true,    "stop_reason": "no_results_blob"  }}